esp-fs-webserver

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FSWebServer Class Reference

`#include <esp-fs-webserver.h>`

## Public Member Functions
| FSWebServer (fs::FS &fs, WebServerClass &server)
bool | begin (const char *path=nullptr)
void | run ()
void | addHandler (const Uri &uri, HTTPMethod method, WebServerClass::THandlerFunction fn)
void | addHandler (const Uri &uri, WebServerClass::THandlerFunction handler)
void | setCaptiveWebage (const char *url)
IPAddress | setAPmode (const char *ssid, const char *psk)
IPAddress | startWiFi (uint32_t timeout, const char *apSSID, const char *apPsw)
WebServerClass * | getRequest ()
bool | clearOptions ()
void | addOptionBox (const char *boxTitle)
void | addHTML (const char *html, const char *id)
void | addCSS (const char *css)
void | addJavascript (const char *script)
void | addDropdownList (const char *label, const char **array, size_t size)
template<typename T >
void | addOption (fs::FS &fs, const char *label, T val, bool hidden=false)
template<typename T >
void | addOption (const char *label, T val, double d_min, double d_max, double step)
template<typename T >
void | addOption (const char *label, T val, bool hidden=false, double d_min=MIN_F, double d_max=MAX_F, double step=1.0)
template<typename T >
bool | getOptionValue (const char *label, T &var)
template<typename T >
bool | saveOptionValue (const char *label, T val)

## Public Attributes
WebServerClass * | webserver

## Detailed Description

Definition at line 71 of file esp-fs-webserver.h.

## Constructor & Destructor Documentation

## ◆ FSWebServer()

FSWebServer::FSWebServer | ( | fs::FS & | fs,
|  | WebServerClass & | server
| ) |  |

Definition at line 3 of file esp-fs-webserver.cpp.

## Member Function Documentation

## ◆ addCSS()

void FSWebServer::addCSS | ( | const char * | css | ) |
| inline

Definition at line 126 of file esp-fs-webserver.h.

## ◆ addDropdownList()

void FSWebServer::addDropdownList | ( | const char * | label,
|  | const char ** | array,
|  | size_t | size
| ) |  |

Definition at line 420 of file esp-fs-webserver.cpp.

## ◆ addHandler() [1/2]

void FSWebServer::addHandler | ( | const Uri & | uri,
|  | HTTPMethod | method,
|  | WebServerClass::THandlerFunction | fn
| ) |  |

Definition at line 22 of file esp-fs-webserver.cpp.

## ◆ addHandler() [2/2]

void FSWebServer::addHandler | ( | const Uri & | uri,
|  | WebServerClass::THandlerFunction | handler
| ) |  |

Definition at line 27 of file esp-fs-webserver.cpp.

## ◆ addHTML()

void FSWebServer::addHTML | ( | const char * | html,
|  | const char * | id
| ) |  |
| inline

Definition at line 117 of file esp-fs-webserver.h.

## ◆ addJavascript()

void FSWebServer::addJavascript | ( | const char * | script | ) |
| inline

Definition at line 132 of file esp-fs-webserver.h.

## ◆ addOption() [1/3]

template<typename T >

void FSWebServer::addOption | ( | const char * | label,
|  | T | val,
|  | bool | hidden = `false`,
|  | double | d_min = `MIN_F`,
|  | double | d_max = `MAX_F`,
|  | double | step = `1.0`
| ) |  |
| inline

Definition at line 156 of file esp-fs-webserver.h.

## ◆ addOption() [2/3]

template<typename T >

void FSWebServer::addOption | ( | const char * | label,
|  | T | val,
|  | double | d_min,
|  | double | d_max,
|  | double | step
| ) |  |
| inline

Definition at line 148 of file esp-fs-webserver.h.

## ◆ addOption() [3/3]

template<typename T >

void FSWebServer::addOption | ( | fs::FS & | fs,
|  | const char * | label,
|  | T | val,
|  | bool | hidden = `false`
| ) |  |
| inline

Definition at line 141 of file esp-fs-webserver.h.

## ◆ addOptionBox()

void FSWebServer::addOptionBox | ( | const char * | boxTitle | ) |
| inline

Definition at line 113 of file esp-fs-webserver.h.

## ◆ begin()

bool FSWebServer::begin | ( | const char * | path = `nullptr` | ) |

Definition at line 68 of file esp-fs-webserver.cpp.

## ◆ clearOptions()

bool FSWebServer::clearOptions | ( |  | ) |
| inline

Definition at line 102 of file esp-fs-webserver.h.

## ◆ getOptionValue()

template<typename T >

bool FSWebServer::getOptionValue | ( | const char * | label,
|  | T & | var
| ) |  |
| inline

Definition at line 226 of file esp-fs-webserver.h.

## ◆ getRequest()

WebServerClass * FSWebServer::getRequest | ( |  | ) |

Definition at line 10 of file esp-fs-webserver.cpp.

## ◆ run()

void FSWebServer::run | ( |  | ) |

Definition at line 15 of file esp-fs-webserver.cpp.

## ◆ saveOptionValue()

template<typename T >

bool FSWebServer::saveOptionValue | ( | const char * | label,
|  | T | val
| ) |  |
| inline

Definition at line 255 of file esp-fs-webserver.h.

## ◆ setAPmode()

IPAddress FSWebServer::setAPmode | ( | const char * | ssid,
|  | const char * | psk
| ) |  |

Definition at line 127 of file esp-fs-webserver.cpp.

## ◆ setCaptiveWebage()

void FSWebServer::setCaptiveWebage | ( | const char * | url | ) |

Definition at line 121 of file esp-fs-webserver.cpp.

## ◆ startWiFi()

IPAddress FSWebServer::startWiFi | ( | uint32_t | timeout,
|  | const char * | apSSID,
|  | const char * | apPsw
| ) |  |

Definition at line 139 of file esp-fs-webserver.cpp.

## Member Data Documentation

## ◆ webserver

WebServerClass* FSWebServer::webserver

Definition at line 77 of file esp-fs-webserver.h.

The documentation for this class was generated from the following files:

- src/esp-fs-webserver.h
- src/esp-fs-webserver.cpp